felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Felix Meschberger <fmesc...@adobe.com>
Subject Re: [jira] [Created] (FELIX-5459) Use Java 6 as minimum version
Date Thu, 22 Dec 2016 07:50:13 GMT
I wonder, whether not go directly to Java 7 (or even 8) ? IIRC we stayed at 1.4 for a long
time as Java 1.4 was the latest version available on mobile/embedded platforms for a long
time. Now the latest versions for these is Java 8, so I think we might not restrict ourselves
to Java 6 any longer.

WDYT ?

Regards
Felix

> Am 21.12.2016 um 16:46 schrieb Carsten Ziegeler (JIRA) <jira@apache.org>:
> 
> Carsten Ziegeler created FELIX-5459:
> ---------------------------------------
> 
>             Summary: Use Java 6 as minimum version
>                 Key: FELIX-5459
>                 URL: https://issues.apache.org/jira/browse/FELIX-5459
>             Project: Felix
>          Issue Type: Improvement
>          Components: Declarative Services (SCR)
>            Reporter: Carsten Ziegeler
>            Assignee: Carsten Ziegeler
>             Fix For: scr-2.1.0
> 
> 
> Currently we have Java 5 as the min version, considering that R7 of the OSGi spec is
at least targetting Java 7 or even Java 8, this looks really out of date.
> I suggest we move to Java 6 for now
> 
> 
> 
> --
> This message was sent by Atlassian JIRA
> (v6.3.4#6332)


Mime
View raw message